require 'fastercsv'

module EagleClaw::Formatters
  module CSV
    include ::EagleClaw::Formatter
    
    def self.format(data, problems)
      keys = data.first.keys
      FasterCSV.generate do |out|
        out << keys
        data.each do |datum|
          out << keys.map(&datum.method(:[]))
        end
      end
    end
  end
end
