require 'digest/sha1'

class String
  def starts_with?(string)
    !! (self =~ Regexp.new('^' + Regexp.escape(string)))
  end
  
  def ends_with?(string)
    !! (self =~ Regexp.new(Regexp.escape(string) + '$'))
  end
  
  def sha1
    (Digest::SHA1.new << self).hexdigest
  end
end
